
function diff = diodecomp_test(params,V,I)
% This function is called by LSQNONLIN.
% params is a vector which contains the coefficients of the
% equation. t and r are the option data sets that were
% passed to lsqnonlin.
f=1.602e-019/1.38e-023;

FY=3.35e-013*params(1)*(exp(f*V/200)-1);

diff = FY - I;
end

